import QtQuick 2.5

Item {

    Item {
        id: clock
        width: Math.min(parent.width, parent.height); height: width
        anchors.centerIn: parent
        scale: width / background.width
        transformOrigin: Item.TopLeft;

        property date showTime: new Date

        function updateTime() {
            showTime = new Date
            hourRotation.angle = (showTime.getHours() * 30) + (showTime.getMinutes() * 0.5)
            minuteRotation.angle = showTime.getMinutes() * 6
            secondRotation.angle = showTime.getSeconds() * 6
        }

        Timer {
            interval: 1000
            repeat: true
            triggeredOnStart: true
            running: true
            onTriggered: clock.updateTime()
        }

        Image { id: background; source: "qrc:/clock.png" }

        Image {
            id: hourArrow
            x: 92.5; y: 27
            source: "qrc:/hour.png"
            transform: Rotation {
                id: hourRotation
                origin.x: 7.5; origin.y: 73;
                Behavior on angle {
                    SpringAnimation { spring: 2; damping: 0.2; modulus: 360 }
                }
            }
        }

        Image {
            x: 93.5; y: 17
            source: "qrc:/minute.png"
            transform: Rotation {
                id: minuteRotation
                origin.x: 6.5; origin.y: 83;
                Behavior on angle {
                    SpringAnimation { spring: 2; damping: 0.2; modulus: 360 }
                }
            }
        }

        Image {
            x: 97.5; y: 20
            source: "qrc:/second.png"
            transform: Rotation {
                id: secondRotation
                origin.x: 2.5; origin.y: 80;
                Behavior on angle {
                    RotationAnimation { direction: RotationAnimation.Clockwise }
                }
            }
        }

        Image { anchors.centerIn: background; source: "qrc:/center.png"}
    }
}
