import QtQuick 2.5
import Fly.Components 1.0

FlyPage {
    id: settingsPage

    property var applySettings
    property var chooseShortcut
    property string settingsGroup: ""

    property bool   isFolder: false
    property string exec: ""
    property string customIcon: ""
    property string customText: ""

    titleImage.imagePath: "image://ThemeImageProvider/view-media-equalizer"

    centerRectShadow: true;
    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.width:  Math.min(500 * dpiRatio, frontRect.parent.width)
    frontRect.height: Math.min(listView.count * root.itemHeight * 1.5 + 150 * dpiRatio, frontRect.parent.height)

    okFunction: function() { applySettings(exec, isFolder, customIcon, customText) }

    FlySettingsListView {
        id: listView
        anchors.fill: centerRect
        model: [ shortcutItem, iconItem, textItem ]
    }

    FlySettingsItemData {
        id: shortcutItem;
        name: qsTr("Shortcut");
        value: exec
        description: value
        clickFunc: function() { chooseShortcut(function(file, isF) { exec = file; isFolder = isF; }); }
    }

    FlySettingsItemData {
        id: iconItem
        name: qsTr("Icon");
        value: customIcon
        description: value
        clickFunc: function() { customIcon = FlyFileDialog.chooseImageFile(); }
    }

    FlySettingsLineEditItemData {
        id: textItem;
        name: qsTr("Text");
        value: customText
        clickFunc: function() { customText = value; }
    }
}
